module Debate.Arguments.Veganism.PollinationReductio exposing (..)

import Debate.Types exposing (..)


argumentPollinationReductio : Argument
argumentPollinationReductio =
    { argumentTitle = "Vegan Anti-Pollination Reductio"
    , propositionTitle = "Apples are not vegan"
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(~6x(Vx~4~3Ex)),(Eb),(~3Vb~5~6y(~3Py))%7C=(~3Pa)"
    , definitionTable =
        [ { definiendum = "V(x)"
          , definiens = "(x) is vegan"
          }
        , { definiendum = "E(x)"
          , definiens = "(x) involves human on non-human animal exploitation"
          }
        , { definiendum = "P(y)"
          , definiens = "(y) generated are vegan"
          }
        , { definiendum = "x"
          , definiens = "a being"
          }
        , { definiendum = "y"
          , definiens = "a product"
          }
        , { definiendum = "b"
          , definiens = "bees pollinating human crops"
          }
           , { definiendum = "a"
          , definiens = "apples"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "Something is vegan if, and only if, something does not involve human on non-human animal exploitation."
                  , notation = "(∀x(Vx↔¬Ex))"
                  }
                , { premise = "Bees pollinating human crops involves human on non-human exploitation."
                  , notation = "(Eb)"
                  }
                , { premise = "If bees pollinating human crops is not vegan, then the products generated are not vegan."
                  , notation = "(¬Vb→∀y(¬Py))"
                  }
                ]
          , conclusion = "Therefore, apples are not vegan."
          , conclusionNotation = "(∴¬Pa)"
          }
        ]
    }